package service

import (
	"context"
	"fmt"
	"github.com/caixw/lib.go/conv"
	"strings"
	"youngee_m_api/db"
	"youngee_m_api/model/gorm_model"
	"youngee_m_api/model/http_model"

	"github.com/sirupsen/logrus"
)

var Link *link

type link struct {
}

// LinkOpinion 在上传脚本表上提交修改意见
func (*link) LinkOpinion(ctx context.Context, request http_model.LinkOpinionRequest) (*http_model.LinkOpinionData, error) {
	Link := gorm_model.YounggeeLinkInfo{
		TaskID:        conv.MustInt(request.TaskID, 0),
		ReviseOpinion: request.LinkOpinion,
	}
	err := db.LinkOpinion(ctx, Link.TaskID, Link.ReviseOpinion)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[Link service] call CreateLink error,err:%+v", err)
		return nil, err
	}

	res := &http_model.LinkOpinionData{
		TaskID: int64(Link.TaskID),
	}
	return res, nil
}

// AcceptLink
func (*link) AcceptLink(ctx context.Context, request http_model.AcceptLinkRequest) (*http_model.AcceptLinkData, error) {
	var TaskIDList []int
	TaskIDs := strings.Split(request.TaskIds, ",")
	for _, taskId := range TaskIDs {
		TaskIDList = append(TaskIDList, conv.MustInt(taskId, 0))
	}
	fmt.Printf("acc request %+v", TaskIDList)
	err := db.AcceptLink(ctx, TaskIDList)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[Link service] call CreateLink error,err:%+v", err)
		return nil, err
	}

	res := &http_model.AcceptLinkData{
		TaskIds: TaskIDList,
	}
	return res, nil
}
